import { Room } from "matrix-js-sdk/src/matrix";
import { RoomNotificationState } from "./RoomNotificationState";
import { NotificationState } from "./NotificationState";
export type FetchRoomFn = (room: Room) => RoomNotificationState;
export declare class ListNotificationState extends NotificationState {
    private byTileCount;
    private getRoomFn;
    private rooms;
    private states;
    constructor(byTileCount: boolean, getRoomFn: FetchRoomFn);
    get symbol(): string | null;
    setRooms(rooms: Room[]): void;
    getForRoom(room: Room): RoomNotificationState;
    destroy(): void;
    private onRoomNotificationStateUpdate;
    private calculateTotalState;
}
